/**
 * Module:  firmware
 * Version: 1v2
 * Build:   6ee030bb6889ef7fa8bd871765d4954233229644
 * File:    src/bootConfig/bootConfig.S
 *
 * The copyrights, all other intellectual and industrial 
 * property rights are retained by XMOS and/or its licensors. 
 * Terms and conditions covering the use of this code can
 * be found in the Xmos End User License Agreement.
 *
 * Copyright XMOS Ltd 2009
 **/                                   
#include "xs1.h"
#include "xs1_user.h"
#include "xs1_kernel.h"

.text
.align 4

.section .dp.data, "awd", @progbits
.align 4

spi_boot_address:
.word 0xffffc108

dp_addr_rom:
.word 0xffffc244

kep_addr_rom:
.word 0xffffc200

// int checkBootConfig(void)
// Reads boot config, jumps to boot returns 1 if boot from spi, 0 otherwise
// Note we cant just jump to spi boot here since we will be in an unclean state
.globl checkBootConfig_SPI
.globl checkBootConfig_SPI.nstackwords
.linkset checkBootConfig_SPI.nstackwords, 0

checkBootConfig_SPI:
  ldc   r11, XS1_PS_BOOT_CONFIG
  get   r0, ps[r11]
  zext  r0, 2
//  eq    r0, r0, XS1_BOOT_MODE_SPI_MASTER
#if defined XC-1
  eq    r0, r0, 2
#elif defined XC-5
  eq    r0, r0, 3
#endif
  retsp 0
 

.globl bootFromSpi
.globl bootFromSpi.nstackwords 
.linkset bootFromSpi.nstackwords, 0 
bootFromSpi:
  ldw 	r10, dp[spi_boot_address]
  
  ldw	r11, dp[kep_addr_rom]
  set   kep, r11
  
  ldw 	r11, dp[dp_addr_rom]
  set   dp, r11
    
  bau 	r10		// branch to spi boot


  


